<?php
require'config.php';
$align='left';
$title="Фотоальбомы";
aut();
head();
who_add(0,'enter'); // Занисываем Кто онлайн...

$k_alb=$db->sql_fetchfield($db->sql_query("select count(*) as num from foto_albom where user_id = '".$user['id']."'"),0);

if ($ver!='wml'){
if($k_alb==0){
echo "Чтобы добавить фото вам необходимо создать хотя бы один Альбом<br /> <a href=\"new_album?$ses\">Добавить альбом</a><br/>";
}else{
$act = check($_POST['act']);
if(empty($act)){
echo '<font color="red"><b>ВНИМАНИЕ!!!</b><br />
Запрещенно загружать фото содеращие педофилию, детское порно и любые изображения обнажённых несовершеннолетних (на размещаемых изображениях даже по внешнему виду не должно быть ни малейших сомнений что модель старше 18 лет), зоофилию и некрофилию в любых проявлениях!</font><br />';
echo '<b>Добавление фото</b><br/>';

echo '<form action="?" method="POST" name="FORM" enctype="multipart/form-data">
<dl><dt>
<b>*Фото: (max '.$set['size_foto'].'кб)</b><br/>
<input type="file" name="file"/><br/>
<font color="red">*Описание:(не менее 4-х символов)</font><br/>
<textarea name="kom" cols="'.$user['pole2'].'" rows="'.$user['pole1'].'"></textarea><br/>
Альбом:<br />';
echo '<select name="aid">';
$q = @$db->sql_query("SELECT * FROM `foto_albom` WHERE `user_id`='".$user['id']."' ORDER BY `time_izm` DESC;");
while($alb = $db->sql_fetchrow($q))
{
echo '<option value="'.$alb['id'].'\">'.$alb['name'].'</option>';
}
echo '</select><br/>';
/*if($user['id']==3){ echo 'Код для просмотра(если нужен):<br />
 (только цифры[1-9])<br />
 <input type="text" name="pss" maxlength="15"/><br/><br/>';}*/
echo '<input type="hidden" name="act" value="add"/>
	<input type="submit" class="ibutton" value="Загрузить" name="submit"/></form><dl></dl>';
	///<input class="ibutton" type="submit" name="submit" value="Загрузить"/></form><dl></dl>
}else
{
	///$pass = intval($_POST['pss']);
	if (strlen2(check($_POST['kom']))<4)
	{$err = 'Описание мене 4 символов<br />';
	}else
	{$kom = check($_POST['kom']);}
	$aid = abs(intval($_POST['aid']));


	if(!isset($_FILES['file'])) $err = '<b>Вы не указали файл!</b><br/>';

	$pictures = array('.gif', '.jpg', '.jpeg', '.bmp', '.png');
	$ext = strtolower(strrchr($_FILES['file']['name'], '.'));
	$imageinfo = getimagesize($_FILES['file']['tmp_name']);
	if($imageinfo['mime'] != 'image/gif' and $imageinfo['mime'] != 'image/jpeg' and $imageinfo['mime'] != 'image/bmp' and $imageinfo["mime"] != 'image/png') 
	{
		//$db->sql_query("INSERT INTO `logs` SET `log` = 'albumdown', msg = '[b]".$user['user']."[/b] Ошибка загрузки в альбом.Имя файла:".$_FILES['file']['name']." Размер:".b_size($_FILES['file']['size'])." Тип:".$imageinfo['mime']."|".$imageinfo[0]."|".$imageinfo[1]."|".$imageinfo[2]."|".$imageinfo['bits']."|".$imageinfo['channels']."', time = '" . time("NN:DD:H:i") . "'");
		$err = '<b>Недопустимое расширение файла!!!</b><br />';
	}
	if(!in_array($ext, $pictures))$err = '<b>Недопустимое расширение файла!</b><br />';
	//получаем размеры и типы
	//$getimagesize = getimagesize($_FILES['file']['name']);
	//if ($getimagesize['mime'] != 'image/gif' and $getimagesize['mime'] != 'image/jpeg' and $getimagesize['mime'] != 'image/jpg' and $getimagesize['mime'] != 'image/bmp' and $getimagesize['mime'] != 'image/png') $err = '<b>Недопустимое расширение файла!</b><br />';
	$fnames=$_FILES['file']['name']; //имя
	// определяем расширение файла
	/*switch ($getimagesize['mime'])
	{
		case 'image/gif': $ext = '.gif'; break;
		case 'image/jpg': $ext = '.jpg'; break;
		case 'image/jpeg': $ext = '.jpg'; break;
		case 'image/bmp': $ext = '.bmp'; break;
		case 'image/png': $ext = '.png'; break;
	}*/
	if ((preg_match("/.php/i", $fnames)) or (preg_match("/.pl/i", $fnames)) or ($fnames == ".htaccess")){$err = '<b>Недопустимое расширение файла!</b><br />';}
	if($_FILES['file']['size'] < 1) $err = 'Ошибка.Размер файла меньше 1 кб.<br />';
	if($_FILES['file']['size'] > (1024 * $set['size_foto'])) $err = '<b>Ошибка.Размер файла не должен превышать <b>'.$set['size_foto'].'</b> кб.</b><br />';

	$k_f=$db->sql_fetchfield($db->sql_query("select count(*) as num from foto_add where user_id = '".$user['id']."' and `album` = '".$aid."' and `razmer` = '".($_FILES['file']['size']/1024)."' and `format` = '".$ext."' and `kom` = '".$kom."'"),0);
	if ($k_f!=0)$err = '<b>Такое фото уже есть!</b><br />';

	if(empty($err))
	{
		///$name = $user['id'].'_'.rand(010302,9999999).time();
		@$db->sql_query("INSERT INTO `foto_add` (user_id,kom,album,time,format,razmer,level) values('".$user[id]."','".$kom."','".$aid."','".$time."','".$ext."','".($_FILES['file']['size']/1024)."','".$user[level]."')");
		@$db->sql_query("update `foto_albom` set  time_izm='".$time."' WHERE `id`='".$aid."' AND `user_id`='".$user['id']."';");
		$f = $db->sql_fetchrow($db->sql_query("SELECT * FROM `foto_add` WHERE `razmer` = '".($_FILES['file']['size']/1024)."' and `album` = '".$aid."' and `kom` = '".$kom."'"));
		///$foto = "album_".$aid."_".$f['id'].$ext."";
		////@copy($_FILES['file']['tmp_name'], H.'files/album/'.$name.$ext);
		$foto = "album_".$aid."_".$f['id'].$ext."";
		@copy($_FILES['file']['tmp_name'], H.'files/album/'.$foto);
		@chmod(H."files/album/".basename($foto), 0644);
		header ('Location: '.H.'my_albums?'.SID);  exit;
	}else
	{	

		$db->sql_query("INSERT INTO `logs` SET `log` = 'albumdown', msg = '[b]".$user['user']."[/b] Ошибка загрузки в альбом img:".$err." Имя файла:".$_FILES['file']['name']." Размер:".b_size($_FILES['file']['size'])." Тип:".$imageinfo['mime']."', time = '" . time("NN:DD:H:i") . "'");
		echo $err.'Ошибка загрузки!<br/>';
	}
}
if(isset($_FILES['file']['error']) and $_FILES['uploadfile']['error'] != 0)
{
	if($_FILES['file']['error'] == 1) $errorupload = 'Размер принятого файла превысил максимально допустимый размер, который задан директивой upload_max_filesize конфигурационного файла php.ini';
	elseif($_FILES['file']['error'] == 2) $errorupload = ' Размер загружаемого файла превысил значение MAX_FILE_SIZE, указанное в HTML-форме.';
	elseif($_FILES['file']['error'] == 3) $errorupload = 'Загружаемый файл был получен только частично.';
	elseif($_FILES['file']['error'] == 4) $errorupload = 'Файл не был загружен.';
	$db->sql_query("INSERT INTO `logs` SET `log` = 'albumdown', msg = 'У [b]".$user['user']."[/b] возникла ошибка загрузки файла в альбом: ".$errorupload."|".$err." Имя файла:".$_FILES['file']['name']." Размер:".b_size($_FILES['file']['size'])."', time = '" . time("NN:DD:H:i") . "'");
	echo $err.'Ошибка загрузки!!!<br/>';
}
}
}else echo "Фото добавить можно Толька в HTML режиме !<br />";


echo '<a href="'.H.'my_albums">Мои альбомы</a><br/>';
echo '<br />';
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>